-- $Id: pascal_shift_reduce.ads,v 2.1 1997/08/23 19:48:29 nestor Rel $
-- $Locker:  $
-- $Log: pascal_shift_reduce.ads,v $
-- Revision 2.1  1997/08/23 19:48:29  nestor
-- Laurent Gasser's correction for MacOS extended Pascal
--
-- Revision 1.1  1997/08/23  07:58:08  nestor
-- Martin C. Carlisle's original version, standard Pascal
--
package Pascal_Shift_Reduce is

    type Small_Integer is range -32_000 .. 32_000;

    type Shift_Reduce_Entry is record
        T   : Small_Integer;
        Act : Small_Integer;
    end record;
    pragma Pack(Shift_Reduce_Entry);

    subtype Row is Integer range -1 .. Integer'Last;

  --pragma suppress(index_check);

    type Shift_Reduce_Array is array (Row  range <>) of Shift_Reduce_Entry;

    Shift_Reduce_Matrix : constant Shift_Reduce_Array :=
        ( (-1,-1) -- Dummy Entry

-- state  0
,( 46, 3),( 76, 5),(-1,-1000)
-- state  1
,(-1,-1)

-- state  2
,(-1,-2)
-- state  3
,(-1,-19)
-- state  4
,( 78, 8),(-1,-1000)

-- state  5
,( 74, 10),(-1,-1000)
-- state  6
,( 0,-1001),(-1,-1000)

-- state  7
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  8
,(-1,-7)
-- state  9
,( 79, 18),(-1,-1000)
-- state  10
,(-1,-6)

-- state  11
,(-1,-4)
-- state  12
,(-1,-1000)
-- state  13
,(-1,-371)
-- state  14
,(-1,-372)

-- state  15
,(-1,-373)
-- state  16
,(-1,-20)
-- state  17
,( 77, 22),(-1,-18)

-- state  18
,(-1,-14)
-- state  19
,(-1,-3)
-- state  20
,( 15, 25),(-1,-1000)

-- state  21
,( 34, 26),(-1,-23)
-- state  22
,(-1,-16)
-- state  23
,( 50, 29)
,(-1,-37)
-- state  24
,( 77, 22),(-1,-18)
-- state  25
,(-1,-5)

-- state  26
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  27
,( 15, 34),(-1,-1000)
-- state  28
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  29
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  30
,( 52, 40),(-1,-81)

-- state  31
,( 50, 29),(-1,-37)
-- state  32
,( 11, 44),( 35, 43)
,(-1,-1000)
-- state  33
,(-1,-25)
-- state  34
,( 77, 22),(-1,-18)

-- state  35
,( 11, 47),( 15, 46),(-1,-1000)
-- state  36
,(-1,-28)

-- state  37
,( 4, 14),( 5, 15),( 74, 13),(-1,-36)

-- state  38
,(-1,-39)
-- state  39
,( 26, 49),(-1,-1000)
-- state  40
,(-1,-84)

-- state  41
,( 53, 53),(-1,-165)
-- state  42
,( 52, 40),(-1,-81)

-- state  43
,(-1,-22)
-- state  44
,( 4, 14),( 5, 15),( 74, 13)
,(-1,-1000)
-- state  45
,( 49, 58),(-1,-31)
-- state  46
,(-1,-17)

-- state  47
,(-1,-26)
-- state  48
,(-1,-38)
-- state  49
,(-1,-40)
-- state  50
,( 41,-80)
,( 47,-80),( 53,-80),( 62,-80),( 63,-80)
,( 79,-80),(-1,-84)
-- state  51
,(-1,-83)
-- state  52
,( 4, 14)
,( 5, 15),( 74, 13),(-1,-1000)
-- state  53
,( 4, 14)
,( 5, 15),( 74, 13),(-1,-1000)
-- state  54
,( 62, 71)
,( 63, 70),(-1,-13)
-- state  55
,( 53, 53),(-1,-165)

-- state  56
,(-1,-24)
-- state  57
,( 50, 29),(-1,-37)
-- state  58
,( 42, 77)
,(-1,-1000)
-- state  59
,( 14, 78),(-1,-1000)
-- state  60
,( 4, 14)
,( 5, 15),( 74, 13),(-1,-1000)
-- state  61
,( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 29, 84),( 30, 85),( 34, 91),( 36, 99)
,( 40, 92),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  62
,(-1,-82)

-- state  63
,( 26, 103),(-1,-1000)
-- state  64
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-164)
-- state  65
,(-1,-167)
-- state  66
,( 11, 47)
,( 27, 105),(-1,-1000)
-- state  67
,( 15, 106),(-1,-1000)

-- state  68
,( 15, 107),(-1,-1000)
-- state  69
,( 34, 108),(-1,-178)

-- state  70
,(-1,-206)
-- state  71
,(-1,-197)
-- state  72
,(-1,-8)
-- state  73
,( 62, 71)
,( 63, 70),(-1,-171)
-- state  74
,( 52, 40),(-1,-81)

-- state  75
,( 11, 120),( 15, 121),(-1,-1000)
-- state  76
,(-1,-33)

-- state  77
,(-1,-34)
-- state  78
,(-1,-21)
-- state  79
,(-1,-27)
-- state  80
,( 16, 127)
,( 17, 125),( 18, 128),( 19, 126),( 20, 124)
,( 26, 123),( 44, 129),(-1,-42)
-- state  81
,( 29, 131)
,( 30, 132),( 39, 133),(-1,-44)
-- state  82
,( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 34, 91),( 36, 99),( 40, 92),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  83
,( 2, 140),( 21, 141),( 24, 138)
,( 31, 135),( 32, 136),( 33, 137),( 38, 139)
,(-1,-46)
-- state  84
,(-1,-73)
-- state  85
,(-1,-74)
-- state  86
,(-1,-54)

-- state  87
,(-1,-55)
-- state  88
,( 34, 143),(-1,-56)
-- state  89
,(-1,-57)

-- state  90
,(-1,-58)
-- state  91
,(-1,-59)
-- state  92
,(-1,-61)
-- state  93
,(-1,-63)

-- state  94
,(-1,-64)
-- state  95
,(-1,-65)
-- state  96
,(-1,-66)
-- state  97
,(-1,-67)

-- state  98
,(-1,-68)
-- state  99
,( 3, 155),( 4, 14),( 5, 15)
,( 6, 97),( 7, 98),( 8, 94),( 29, 84)
,( 30, 85),( 34, 159),( 36, 99),( 37, 165)
,( 40, 160),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  100
,(-1,-345)

-- state  101
,(-1,-346)
-- state  102
,( 15, 166),(-1,-1000)
-- state  103
,(-1,-85)

-- state  104
,(-1,-166)
-- state  105
,(-1,-168)
-- state  106
,(-1,-9)
-- state  107
,(-1,-11)

-- state  108
,(-1,-182)
-- state  109
,(-1,-179)
-- state  110
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  111
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  112
,( 15, 174),(-1,-1000)

-- state  113
,(-1,-173)
-- state  114
,(-1,-174)
-- state  115
,(-1,-175)
-- state  116
,( 15, 175)
,(-1,-1000)
-- state  117
,( 15, 176),(-1,-1000)
-- state  118
,( 47, 177)
,(-1,-1000)
-- state  119
,( 53, 53),(-1,-165)
-- state  120
,(-1,-374)

-- state  121
,(-1,-30)
-- state  122
,( 42, 77),(-1,-1000)
-- state  123
,(-1,-364)

-- state  124
,(-1,-365)
-- state  125
,(-1,-366)
-- state  126
,(-1,-367)
-- state  127
,(-1,-368)

-- state  128
,(-1,-369)
-- state  129
,(-1,-370)
-- state  130
,( 4, 14),( 5, 15)
,( 6, 97),( 7, 98),( 8, 94),( 29, 84)
,( 30, 85),( 34, 91),( 36, 99),( 40, 92)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  131
,(-1,-47)
-- state  132
,(-1,-49)

-- state  133
,(-1,-51)
-- state  134
,( 29, 131),( 30, 132),( 39, 133)
,(-1,-45)
-- state  135
,(-1,-357)
-- state  136
,(-1,-358)
-- state  137
,(-1,-359)

-- state  138
,(-1,-360)
-- state  139
,(-1,-361)
-- state  140
,(-1,-362)
-- state  141
,(-1,-363)

-- state  142
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 34, 91),( 36, 99),( 40, 92)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  143
,(-1,-283)
-- state  144
,(-1,-335)

-- state  145
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 91)
,( 36, 99),( 40, 92),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  146
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 34, 91),( 36, 99),( 40, 92)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  147
,( 11, 120),( 37, 188)
,(-1,-1000)
-- state  148
,( 13, 190),(-1,-350)
-- state  149
,(-1,-353)

-- state  150
,( 16, 127),( 17, 125),( 18, 128),( 19, 126)
,( 20, 124),( 26, 123),( 44, 129),(-1,-318)

-- state  151
,( 29, 192),( 30, 193),( 39, 194),(-1,-320)

-- state  152
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 34, 159),( 36, 99)
,( 40, 160),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  153
,( 2, 140)
,( 21, 141),( 24, 138),( 31, 135),( 32, 136)
,( 33, 137),( 38, 139),(-1,-322)
-- state  154
,(-1,-324)

-- state  155
,(-1,-326)
-- state  156
,(-1,-328)
-- state  157
,( 12, 201),( 14, 199)
,( 36, 200),(-1,-329)
-- state  158
,(-1,-330)
-- state  159
,(-1,-331)

-- state  160
,(-1,-333)
-- state  161
,( 34, 143),(-1,-336)
-- state  162
,(-1,-337)

-- state  163
,(-1,-338)
-- state  164
,(-1,-339)
-- state  165
,(-1,-348)
-- state  166
,(-1,-41)

-- state  167
,( 4, 14),( 5, 15),( 6, 234),( 7, 235)
,( 8, 226),( 12, 215),( 29, 84),( 30, 85)
,( 34, 218),( 42, 232),( 51, 233),( 54, 228)
,( 55, 229),( 56, 214),( 59, 230),( 60, 231)
,( 62, 216),( 63, 217),( 74, 13),( 75, 227)
,(-1,-1000)
-- state  168
,( 4, 14),( 5, 15),( 6, 234)
,( 7, 235),( 8, 226),( 12, 215),( 29, 84)
,( 30, 85),( 34, 218),( 42, 232),( 51, 233)
,( 54, 228),( 55, 229),( 56, 214),( 59, 230)
,( 60, 231),( 62, 216),( 63, 217),( 74, 13)
,( 75, 227),(-1,-1000)
-- state  169
,( 62, 71),( 63, 70)
,(-1,-13)
-- state  170
,( 62, 71),( 63, 70),(-1,-13)

-- state  171
,( 4, 14),( 5, 15),( 53, 247),( 62, 71)
,( 63, 70),( 74, 13),(-1,-1000)
-- state  172
,(-1,-207)

-- state  173
,(-1,-198)
-- state  174
,( 62, 71),( 63, 70),(-1,-170)

-- state  175
,(-1,-176)
-- state  176
,(-1,-200)
-- state  177
,( 14, 254),(-1,-1000)

-- state  178
,( 62, 71),( 63, 70),(-1,-171)
-- state  179
,(-1,-32)

-- state  180
,(-1,-43)
-- state  181
,( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 34, 91),( 36, 99)
,( 40, 92),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  182
,( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 34, 91),( 36, 99),( 40, 92),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  183
,( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 34, 91),( 36, 99)
,( 40, 92),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  184
,(-1,-53)

-- state  185
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  186
,( 35, 262),(-1,-1000)
-- state  187
,(-1,-62)

-- state  188
,(-1,-347)
-- state  189
,( 3, 155),( 4, 14),( 5, 15)
,( 6, 97),( 7, 98),( 8, 94),( 29, 84)
,( 30, 85),( 34, 159),( 36, 99),( 40, 160)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  190
,(-1,-351)
-- state  191
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  192
,(-1,-354)
-- state  193
,(-1,-355)
-- state  194
,(-1,-356)
-- state  195
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 34, 159),( 36, 99),( 40, 160)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  196
,( 29, 192),( 30, 193)
,( 39, 194),(-1,-321)
-- state  197
,( 3, 155),( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  198
,( 4, 14),( 5, 15),( 74, 13)
,(-1,-1000)
-- state  199
,(-1,-340)
-- state  200
,(-1,-342)
-- state  201
,(-1,-344)

-- state  202
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  203
,( 3, 155),( 4, 14),( 5, 15)
,( 6, 97),( 7, 98),( 8, 94),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  204
,( 15,-87),( 35,-87),( 47,-87),(-1,-77)

-- state  205
,(-1,-88)
-- state  206
,(-1,-89)
-- state  207
,(-1,-90)
-- state  208
,(-1,-91)

-- state  209
,(-1,-92)
-- state  210
,(-1,-93)
-- state  211
,(-1,-94)
-- state  212
,(-1,-95)

-- state  213
,(-1,-100)
-- state  214
,( 54, 228),( 55, 229),( 59, 230)
,( 60, 231),(-1,-1000)
-- state  215
,(-1,-152)
-- state  216
,( 34,-156)
,(-1,-155)
-- state  217
,( 34,-161),(-1,-158)
-- state  218
,(-1,-96)

-- state  219
,( 13, 279),(-1,-1000)
-- state  220
,(-1,-102)
-- state  221
,(-1,-103)

-- state  222
,(-1,-104)
-- state  223
,(-1,-105)
-- state  224
,(-1,-69)
-- state  225
,( 4, 14)
,( 5, 15),( 6, 234),( 7, 235),( 42, 232)
,( 51, 233),( 74, 13),(-1,-1000)
-- state  226
,(-1,-71)

-- state  227
,(-1,-72)
-- state  228
,(-1,-106)
-- state  229
,(-1,-116)
-- state  230
,( 57, 284)
,(-1,-1000)
-- state  231
,( 57, 285),(-1,-1000)
-- state  232
,(-1,-75)

-- state  233
,(-1,-76)
-- state  234
,(-1,-78)
-- state  235
,(-1,-79)
-- state  236
,( 15, 286)
,(-1,-1000)
-- state  237
,( 15, 287),(-1,-1000)
-- state  238
,(-1,-10)

-- state  239
,(-1,-12)
-- state  240
,( 15, 289),( 35, 288),(-1,-1000)

-- state  241
,(-1,-186)
-- state  242
,(-1,-187)
-- state  243
,(-1,-188)
-- state  244
,(-1,-189)

-- state  245
,(-1,-190)
-- state  246
,( 11, 47),( 27, 290),(-1,-1000)

-- state  247
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  248
,(-1,-195)
-- state  249
,(-1,-196)
-- state  250
,( 34, 108),(-1,-211)

-- state  251
,(-1,-172)
-- state  252
,( 22, 297),( 49, 58),( 61, 296)
,(-1,-31)
-- state  253
,( 22, 297),( 49, 58),( 61, 296)
,(-1,-31)
-- state  254
,(-1,-15)
-- state  255
,( 41, 302),(-1,-1000)

-- state  256
,( 2, 140),( 21, 141),( 24, 138),( 31, 135)
,( 32, 136),( 33, 137),( 38, 139),(-1,-48)

-- state  257
,( 2, 140),( 21, 141),( 24, 138),( 31, 135)
,( 32, 136),( 33, 137),( 38, 139),(-1,-50)

-- state  258
,( 2, 140),( 21, 141),( 24, 138),( 31, 135)
,( 32, 136),( 33, 137),( 38, 139),(-1,-52)

-- state  259
,( 11, 120),( 35, 304),(-1,-1000)
-- state  260
,(-1,-287)

-- state  261
,(-1,-288)
-- state  262
,(-1,-60)
-- state  263
,( 13, 190),(-1,-349)

-- state  264
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  265
,(-1,-319)
-- state  266
,( 2, 140),( 21, 141)
,( 24, 138),( 31, 135),( 32, 136),( 33, 137)
,( 38, 139),(-1,-323)
-- state  267
,(-1,-325)
-- state  268
,( 12, 201)
,( 14, 199),( 36, 200),(-1,-327)
-- state  269
,( 4, 14)
,( 5, 15),( 74, 13),(-1,-1000)
-- state  270
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  271
,( 35, 311),(-1,-1000)
-- state  272
,(-1,-334)
-- state  273
,(-1,-101)

-- state  274
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  275
,( 34, 108),(-1,-1000)
-- state  276
,( 27, 315),(-1,-1000)

-- state  277
,( 34, 108),(-1,-1000)
-- state  278
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  279
,(-1,-98)
-- state  280
,(-1,-77)

-- state  281
,(-1,-70)
-- state  282
,( 36, 319),(-1,-1000)
-- state  283
,( 4, 14)
,( 5, 15),( 58, 323),( 74, 13),(-1,-1000)

-- state  284
,(-1,-148)
-- state  285
,( 4, 14),( 5, 15),( 6, 234)
,( 7, 235),( 8, 226),( 12, 215),( 29, 84)
,( 30, 85),( 34, 218),( 42, 232),( 51, 233)
,( 54, 228),( 55, 229),( 56, 214),( 59, 230)
,( 60, 231),( 62, 216),( 63, 217),( 74, 13)
,( 75, 227),(-1,-1000)
-- state  286
,(-1,-86)
-- state  287
,(-1,-169)

-- state  288
,(-1,-183)
-- state  289
,(-1,-184)
-- state  290
,(-1,-191)
-- state  291
,( 11, 47)
,( 27, 331),(-1,-1000)
-- state  292
,(-1,-210)
-- state  293
,( 27, 332)
,(-1,-1000)
-- state  294
,(-1,-204)
-- state  295
,(-1,-205)
-- state  296
,(-1,-180)

-- state  297
,(-1,-181)
-- state  298
,(-1,-177)
-- state  299
,(-1,-202)
-- state  300
,(-1,-203)

-- state  301
,(-1,-201)
-- state  302
,(-1,-230)
-- state  303
,(-1,-29)
-- state  304
,(-1,-284)

-- state  305
,(-1,-285)
-- state  306
,(-1,-352)
-- state  307
,(-1,-341)
-- state  308
,( 11, 120)
,( 37, 336),(-1,-1000)
-- state  309
,(-1,-259)
-- state  310
,(-1,-260)

-- state  311
,(-1,-332)
-- state  312
,(-1,-154)
-- state  313
,(-1,-153)
-- state  314
,(-1,-157)

-- state  315
,(-1,-159)
-- state  316
,( 27, 338),(-1,-1000)
-- state  317
,( 11, 47)
,( 35, 339),(-1,-1000)
-- state  318
,( 4, 14),( 5, 15)
,( 6, 234),( 7, 235),( 8, 226),( 29, 84)
,( 30, 85),( 42, 232),( 51, 233),( 74, 13)
,( 75, 227),(-1,-1000)
-- state  319
,( 4, 14),( 5, 15)
,( 6, 234),( 7, 235),( 8, 226),( 29, 84)
,( 30, 85),( 34, 218),( 42, 232),( 51, 233)
,( 74, 13),( 75, 227),(-1,-1000)
-- state  320
,( 15, 346)
,(-1,-119)
-- state  321
,(-1,-120)
-- state  322
,(-1,-123)
-- state  323
,(-1,-129)

-- state  324
,( 11, 47),( 27, 348),(-1,-1000)
-- state  325
,(-1,-117)

-- state  326
,( 4, 14),( 5, 15),( 6, 234),( 7, 235)
,( 8, 226),( 29, 84),( 30, 85),( 34, 218)
,( 42, 232),( 51, 233),( 74, 13),( 75, 227)
,(-1,-1000)
-- state  327
,(-1,-115)
-- state  328
,(-1,-151)
-- state  329
,( 4, 14)
,( 5, 15),( 53, 247),( 62, 71),( 63, 70)
,( 74, 13),(-1,-1000)
-- state  330
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  331
,(-1,-193)
-- state  332
,(-1,-208)

-- state  333
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  334
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  335
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  336
,(-1,-343)
-- state  337
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  338
,(-1,-162)
-- state  339
,(-1,-97)

-- state  340
,(-1,-99)
-- state  341
,( 11, 120),( 37, 389),(-1,-1000)

-- state  342
,(-1,-111)
-- state  343
,(-1,-112)
-- state  344
,(-1,-113)
-- state  345
,( 13,-77)
,(-1,-114)
-- state  346
,(-1,-121)
-- state  347
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  348
,(-1,-127)
-- state  349
,( 47, 397)
,(-1,-1000)
-- state  350
,(-1,-150)
-- state  351
,(-1,-149)
-- state  352
,(-1,-185)

-- state  353
,(-1,-192)
-- state  354
,( 4, 14),( 5, 15),( 74, 13)
,(-1,-1000)
-- state  355
,( 4, 14),( 5, 15),( 74, 13)
,(-1,-1000)
-- state  356
,(-1,-232)
-- state  357
,( 15, 402),( 47, 401)
,(-1,-1000)
-- state  358
,(-1,-215)
-- state  359
,( 27, 403),(-1,-1000)

-- state  360
,(-1,-218)
-- state  361
,(-1,-219)
-- state  362
,(-1,-35)
-- state  363
,(-1,-220)

-- state  364
,(-1,-221)
-- state  365
,(-1,-222)
-- state  366
,(-1,-223)
-- state  367
,(-1,-224)

-- state  368
,(-1,-225)
-- state  369
,(-1,-226)
-- state  370
,(-1,-227)
-- state  371
,(-1,-228)

-- state  372
,(-1,-229)
-- state  373
,( 12, 201),( 14, 199),( 25, 404)
,( 36, 200),(-1,-1000)
-- state  374
,( 15,-270),( 23,-270)
,( 34, 143),( 47,-270),( 69,-270),( 72,-270)
,(-1,-336)
-- state  375
,( 15,-270),( 23,-270),( 34, 143)
,( 47,-270),( 69,-270),( 72,-270),(-1,-339)

-- state  376
,(-1,-265)
-- state  377
,(-1,-267)
-- state  378
,(-1,-289)
-- state  379
,(-1,-248)

-- state  380
,(-1,-291)
-- state  381
,(-1,-234)
-- state  382
,(-1,-237)
-- state  383
,(-1,-240)

-- state  384
,(-1,-245)
-- state  385
,(-1,-286)
-- state  386
,(-1,-258)
-- state  387
,(-1,-160)

-- state  388
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  389
,( 57, 419),(-1,-1000)
-- state  390
,(-1,-109)
-- state  391
,( 4, 14)
,( 5, 15),( 58, 323),( 74, 13),(-1,-126)

-- state  392
,( 27, 424),(-1,-1000)
-- state  393
,(-1,-134)
-- state  394
,( 57,-147)
,(-1,-146)
-- state  395
,( 57, 425),(-1,-1000)
-- state  396
,( 4, 14)
,( 5, 15),( 6, 234),( 7, 235),( 8, 226)
,( 12, 215),( 29, 84),( 30, 85),( 34, 218)
,( 42, 232),( 51, 233),( 54, 228),( 55, 229)
,( 56, 214),( 59, 230),( 60, 231),( 62, 216)
,( 63, 217),( 74, 13),( 75, 227),(-1,-1000)

-- state  397
,(-1,-118)
-- state  398
,(-1,-194)
-- state  399
,(-1,-212)
-- state  400
,(-1,-209)

-- state  401
,(-1,-231)
-- state  402
,( 4, 14),( 5, 15),( 9, 376)
,( 10, 377),( 41, 302),( 42, 362),( 48, 384)
,( 58, 380),( 64, 378),( 65, 379),( 66, 383)
,( 67, 382),( 68, 381),( 74, 13),(-1,-217)

-- state  403
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 48, 384),( 58, 380),( 64, 378)
,( 65, 379),( 66, 383),( 67, 382),( 68, 381)
,( 74, 13),(-1,-1000)
-- state  404
,(-1,-254)
-- state  405
,( 15,-269)
,( 23,-269),( 47,-269),( 69,-269),( 72,-269)
,(-1,-335)
-- state  406
,(-1,-263)
-- state  407
,(-1,-269)
-- state  408
,(-1,-264)

-- state  409
,( 34, 430),(-1,-273)
-- state  410
,( 34, 430),(-1,-273)

-- state  411
,( 42, 362),(-1,-1000)
-- state  412
,( 3, 155),( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 29, 84),( 30, 85),( 34, 159),( 36, 99)
,( 40, 160),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  413
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  414
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  415
,( 3, 155)
,( 4, 14),( 5, 15),( 6, 97),( 7, 98)
,( 8, 94),( 29, 84),( 30, 85),( 34, 159)
,( 36, 99),( 40, 160),( 42, 100),( 43, 96)
,( 51, 101),( 74, 13),( 75, 95),(-1,-1000)

-- state  416
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  417
,( 4, 14),( 5, 15),( 74, 13),(-1,-1000)

-- state  418
,(-1,-163)
-- state  419
,(-1,-107)
-- state  420
,( 4, 14),( 5, 15)
,( 6, 234),( 7, 235),( 8, 226),( 29, 84)
,( 30, 85),( 34, 218),( 42, 232),( 51, 233)
,( 74, 13),( 75, 227),(-1,-1000)
-- state  421
,(-1,-124)

-- state  422
,(-1,-125)
-- state  423
,(-1,-122)
-- state  424
,( 4, 14),( 5, 15)
,( 74, 13),(-1,-1000)
-- state  425
,(-1,-130)
-- state  426
,(-1,-128)

-- state  427
,(-1,-233)
-- state  428
,(-1,-216)
-- state  429
,( 3, 155),( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 29, 84),( 30, 85),( 34, 159),( 36, 99)
,( 40, 160),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  430
,(-1,-271)

-- state  431
,(-1,-266)
-- state  432
,(-1,-268)
-- state  433
,(-1,-290)
-- state  434
,(-1,-317)

-- state  435
,( 71, 451),(-1,-1000)
-- state  436
,(-1,-300)
-- state  437
,( 57, 452)
,(-1,-1000)
-- state  438
,( 15, 402),( 69, 453),(-1,-1000)

-- state  439
,( 70, 454),(-1,-1000)
-- state  440
,(-1,-310)
-- state  441
,( 25, 455)
,(-1,-1000)
-- state  442
,( 11, 120),( 70, 456),(-1,-1000)

-- state  443
,( 12, 201),( 14, 199),( 36, 200),(-1,-316)

-- state  444
,( 4, 14),( 5, 15),( 6, 234),( 7, 235)
,( 8, 226),( 12, 215),( 29, 84),( 30, 85)
,( 34, 218),( 42, 232),( 51, 233),( 54, 228)
,( 55, 229),( 56, 214),( 59, 230),( 60, 231)
,( 62, 216),( 63, 217),( 74, 13),( 75, 227)
,(-1,-1000)
-- state  445
,(-1,-110)
-- state  446
,(-1,-147)
-- state  447
,(-1,-133)

-- state  448
,(-1,-131)
-- state  449
,(-1,-255)
-- state  450
,( 3, 155),( 4, 14)
,( 5, 15),( 6, 97),( 7, 98),( 8, 94)
,( 29, 84),( 30, 85),( 34, 159),( 36, 99)
,( 40, 160),( 42, 100),( 43, 96),( 51, 101)
,( 74, 13),( 75, 95),(-1,-1000)
-- state  451
,(-1,-249)

-- state  452
,(-1,-292)
-- state  453
,(-1,-235)
-- state  454
,(-1,-238)
-- state  455
,(-1,-241)

-- state  456
,(-1,-246)
-- state  457
,( 4, 14),( 5, 15),( 74, 13)
,(-1,-1000)
-- state  458
,(-1,-108)
-- state  459
,( 4, 14),( 5, 15)
,( 6, 234),( 7, 235),( 8, 226),( 29, 84)
,( 30, 85),( 42, 232),( 51, 233),( 74, 13)
,( 75, 227),(-1,-1000)
-- state  460
,( 11, 120),( 35, 475)
,(-1,-1000)
-- state  461
,(-1,-276)
-- state  462
,( 27, 477),(-1,-277)

-- state  463
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  464
,(-1,-293)

-- state  465
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  466
,( 4, 14),( 5, 15),( 9, 376)
,( 10, 377),( 41, 302),( 42, 362),( 48, 384)
,( 58, 380),( 64, 378),( 65, 379),( 66, 383)
,( 67, 382),( 68, 381),( 74, 13),(-1,-217)

-- state  467
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  468
,( 4, 14),( 5, 15),( 9, 376)
,( 10, 377),( 41, 302),( 42, 362),( 48, 384)
,( 58, 380),( 64, 378),( 65, 379),( 66, 383)
,( 67, 382),( 68, 381),( 74, 13),(-1,-217)

-- state  469
,( 12, 201),( 14, 199),( 36, 200),(-1,-315)

-- state  470
,( 15, 485),(-1,-297)
-- state  471
,(-1,-137)
-- state  472
,( 11, 120)
,( 27, 487),(-1,-1000)
-- state  473
,(-1,-143)
-- state  474
,( 13, 489)
,(-1,-144)
-- state  475
,(-1,-272)
-- state  476
,(-1,-274)
-- state  477
,(-1,-278)

-- state  478
,( 72, 492),(-1,-253)
-- state  479
,( 4, 14),( 5, 15)
,( 6, 234),( 7, 235),( 8, 226),( 29, 84)
,( 30, 85),( 42, 232),( 51, 233),( 74, 13)
,( 75, 227),(-1,-1000)
-- state  480
,(-1,-236)
-- state  481
,(-1,-239)

-- state  482
,(-1,-311)
-- state  483
,( 45, 497),( 73, 498),(-1,-1000)

-- state  484
,(-1,-247)
-- state  485
,( 15,-296),( 35,-296),( 47,-296)
,(-1,-135)
-- state  486
,(-1,-132)
-- state  487
,(-1,-138)
-- state  488
,(-1,-141)

-- state  489
,( 4, 14),( 5, 15),( 6, 234),( 7, 235)
,( 8, 226),( 29, 84),( 30, 85),( 42, 232)
,( 51, 233),( 74, 13),( 75, 227),(-1,-1000)

-- state  490
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  491
,( 3, 155),( 4, 14),( 5, 15)
,( 6, 97),( 7, 98),( 8, 94),( 29, 84)
,( 30, 85),( 34, 159),( 36, 99),( 40, 160)
,( 42, 100),( 43, 96),( 51, 101),( 74, 13)
,( 75, 95),(-1,-1000)
-- state  492
,(-1,-251)
-- state  493
,(-1,-250)

-- state  494
,( 15, 509),(-1,-297)
-- state  495
,(-1,-303)
-- state  496
,( 11, 120)
,( 27, 511),(-1,-1000)
-- state  497
,(-1,-312)
-- state  498
,(-1,-313)

-- state  499
,(-1,-242)
-- state  500
,( 4, 14),( 5, 15),( 6, 234)
,( 7, 235),( 8, 226),( 29, 84),( 30, 85)
,( 42, 232),( 51, 233),( 74, 13),( 75, 227)
,(-1,-1000)
-- state  501
,( 34, 514),(-1,-1000)
-- state  502
,( 4, 14)
,( 5, 15),( 6, 234),( 7, 235),( 8, 226)
,( 29, 84),( 30, 85),( 42, 232),( 51, 233)
,( 74, 13),( 75, 227),(-1,-1000)
-- state  503
,(-1,-145)

-- state  504
,(-1,-275)
-- state  505
,( 27, 516),(-1,-280)
-- state  506
,(-1,-279)

-- state  507
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  508
,( 23, 519)
,(-1,-299)
-- state  509
,( 15,-296),( 23,-296),( 47,-296)
,(-1,-301)
-- state  510
,( 47, 522),(-1,-1000)
-- state  511
,(-1,-304)

-- state  512
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  513
,(-1,-136)
-- state  514
,( 4, 14),( 5, 15)
,( 58, 323),( 74, 13),(-1,-1000)
-- state  515
,(-1,-142)

-- state  516
,(-1,-281)
-- state  517
,(-1,-252)
-- state  518
,(-1,-298)
-- state  519
,( 27, 529)
,(-1,-306)
-- state  520
,( 15, 530),(-1,-297)
-- state  521
,( 4, 14)
,( 5, 15),( 6, 234),( 7, 235),( 8, 226)
,( 29, 84),( 30, 85),( 42, 232),( 51, 233)
,( 74, 13),( 75, 227),(-1,-1000)
-- state  522
,(-1,-294)

-- state  523
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  524
,(-1,-314)

-- state  525
,( 70, 534),(-1,-1000)
-- state  526
,( 15, 530),(-1,-297)

-- state  527
,( 3, 155),( 4, 14),( 5, 15),( 6, 97)
,( 7, 98),( 8, 94),( 29, 84),( 30, 85)
,( 34, 159),( 36, 99),( 40, 160),( 42, 100)
,( 43, 96),( 51, 101),( 74, 13),( 75, 95)
,(-1,-1000)
-- state  528
,( 4, 14),( 5, 15),( 9, 376)
,( 10, 377),( 41, 302),( 42, 362),( 48, 384)
,( 58, 380),( 64, 378),( 65, 379),( 66, 383)
,( 67, 382),( 68, 381),( 74, 13),(-1,-217)

-- state  529
,(-1,-308)
-- state  530
,(-1,-296)
-- state  531
,(-1,-295)
-- state  532
,(-1,-302)

-- state  533
,(-1,-305)
-- state  534
,(-1,-243)
-- state  535
,(-1,-139)
-- state  536
,(-1,-282)

-- state  537
,(-1,-307)
-- state  538
,( 4, 14),( 5, 15),( 9, 376)
,( 10, 377),( 41, 302),( 42, 362),( 48, 384)
,( 58, 380),( 64, 378),( 65, 379),( 66, 383)
,( 67, 382),( 68, 381),( 74, 13),(-1,-217)

-- state  539
,( 4, 14),( 5, 15),( 9, 376),( 10, 377)
,( 41, 302),( 42, 362),( 48, 384),( 58, 380)
,( 64, 378),( 65, 379),( 66, 383),( 67, 382)
,( 68, 381),( 74, 13),(-1,-217)
-- state  540
,( 35, 543)
,(-1,-1000)
-- state  541
,(-1,-309)
-- state  542
,(-1,-244)
-- state  543
,(-1,-140)

);
--  The offset vector
SHIFT_REDUCE_OFFSET : array (0.. 543) of Integer :=
( 0,
 3, 4, 5, 6, 8, 10, 12, 16, 17, 19,
 20, 21, 22, 23, 24, 25, 26, 28, 29, 30,
 32, 34, 35, 37, 39, 40, 44, 46, 50, 54,
 56, 58, 61, 62, 64, 67, 68, 72, 73, 75,
 76, 78, 80, 81, 85, 87, 88, 89, 90, 91,
 98, 99, 103, 107, 110, 112, 113, 115, 117, 119,
 123, 139, 140, 142, 146, 147, 150, 152, 154, 156,
 157, 158, 159, 162, 164, 167, 168, 169, 170, 171,
 179, 183, 197, 205, 206, 207, 208, 209, 211, 212,
 213, 214, 215, 216, 217, 218, 219, 220, 221, 239,
 240, 241, 243, 244, 245, 246, 247, 248, 249, 250,
 254, 258, 260, 261, 262, 263, 265, 267, 269, 271,
 272, 273, 275, 276, 277, 278, 279, 280, 281, 282,
 298, 299, 300, 301, 305, 306, 307, 308, 309, 310,
 311, 312, 326, 327, 328, 344, 358, 361, 363, 364,
 372, 376, 391, 399, 400, 401, 402, 406, 407, 408,
 409, 411, 412, 413, 414, 415, 416, 437, 458, 461,
 464, 471, 472, 473, 476, 477, 478, 480, 483, 484,
 485, 499, 513, 527, 528, 545, 547, 548, 549, 566,
 567, 584, 585, 586, 587, 602, 606, 621, 625, 626,
 627, 628, 645, 660, 664, 665, 666, 667, 668, 669,
 670, 671, 672, 673, 678, 679, 681, 683, 684, 686,
 687, 688, 689, 690, 691, 699, 700, 701, 702, 703,
 705, 707, 708, 709, 710, 711, 713, 715, 716, 717,
 720, 721, 722, 723, 724, 725, 728, 732, 733, 734,
 736, 737, 741, 745, 746, 748, 756, 764, 772, 775,
 776, 777, 778, 780, 797, 798, 806, 807, 811, 815,
 832, 834, 835, 836, 840, 842, 844, 846, 850, 851,
 852, 853, 855, 860, 861, 882, 883, 884, 885, 886,
 887, 890, 891, 893, 894, 895, 896, 897, 898, 899,
 900, 901, 902, 903, 904, 905, 906, 907, 910, 911,
 912, 913, 914, 915, 916, 917, 919, 922, 934, 947,
 949, 950, 951, 952, 955, 956, 969, 970, 971, 978,
 982, 983, 984, 999, 1016, 1033, 1034, 1038, 1039, 1040,
 1041, 1044, 1045, 1046, 1047, 1049, 1050, 1054, 1055, 1057,
 1058, 1059, 1060, 1061, 1065, 1069, 1070, 1073, 1074, 1076,
 1077, 1078, 1079, 1080, 1081, 1082, 1083, 1084, 1085, 1086,
 1087, 1088, 1089, 1094, 1101, 1108, 1109, 1110, 1111, 1112,
 1113, 1114, 1115, 1116, 1117, 1118, 1119, 1120, 1124, 1126,
 1127, 1132, 1134, 1135, 1137, 1139, 1160, 1161, 1162, 1163,
 1164, 1165, 1180, 1194, 1195, 1201, 1202, 1203, 1204, 1206,
 1208, 1210, 1227, 1244, 1259, 1276, 1280, 1284, 1285, 1286,
 1299, 1300, 1301, 1302, 1306, 1307, 1308, 1309, 1310, 1327,
 1328, 1329, 1330, 1331, 1332, 1334, 1335, 1337, 1340, 1342,
 1343, 1345, 1348, 1352, 1373, 1374, 1375, 1376, 1377, 1378,
 1395, 1396, 1397, 1398, 1399, 1400, 1401, 1405, 1406, 1418,
 1421, 1422, 1424, 1439, 1440, 1457, 1472, 1489, 1504, 1508,
 1510, 1511, 1514, 1515, 1517, 1518, 1519, 1520, 1522, 1534,
 1535, 1536, 1537, 1540, 1541, 1545, 1546, 1547, 1548, 1560,
 1577, 1594, 1595, 1596, 1598, 1599, 1602, 1603, 1604, 1605,
 1617, 1619, 1631, 1632, 1633, 1635, 1636, 1651, 1653, 1657,
 1659, 1660, 1677, 1678, 1683, 1684, 1685, 1686, 1687, 1689,
 1691, 1703, 1704, 1719, 1720, 1722, 1724, 1741, 1756, 1757,
 1758, 1759, 1760, 1761, 1762, 1763, 1764, 1765, 1780, 1795,
 1797, 1798, 1799);
end Pascal_Shift_Reduce;
