-- $Id: pascal_tokens.ads,v 2.1 1997/08/23 19:53:27 nestor Rel $
-- $Locker:  $
-- $Log: pascal_tokens.ads,v $
-- Revision 2.1  1997/08/23 19:53:27  nestor
-- Laurent Gasser's correction for MacOS extended Pascal
--
-- Revision 1.1  1997/08/23  08:01:19  nestor
-- Martin C. Carlisle's original version, standard Pascal
--
package Pascal_Tokens is


  type const_type is (string_type,character_type,boolean_type,other_type);
  type YYSType is record
     text : String(1..80);
     length : Natural := 0;
     vartype : const_type;
  end record;

    YYLVal, YYVal : YYSType; 
    type Token is
        (End_Of_Input, Error, Ampersand_T, At_T,
         Char_T, Real_T, True_T,
         False_T, Char_Const_T, Write_T,
         Writeln_T, Comma_T, Uparrow_T,
         Doubledot_T, Period_T, Semicolon_T,
         Le_T, Lt_T, Ge_T,
         Gt_T, Ne_T, Doublestar_T,
         External_T, Otherwise_T, Mod_T,
         Assign_T, Equal_T, Colon_T,
         Arrow_T, Plus_T, Minus_T,
         Times_T, Divide_T, Div_T,
         Lparen_T, Rparen_T, Lbrack_T,
         Rbrack_T, And_T, Or_T,
         Not_T, Begin_T, Constant_T,
         Nil_T, In_T, To_T,
         Program_T, End_T, With_T,
         Label_T, Const_T, Hexadecimal_T,
         Type_T, Var_T, Array_T,
         Record_T, Packed_T, Of_T,
         Case_T, Set_T, File_T,
         Forward_T, Procedure_T, Function_T,
         Goto_T, If_T, For_T,
         While_T, Repeat_T, Until_T,
         Do_T, Then_T, Else_T,
         Downto_T, Id_T, String_T,
         Unit_T, Uses_T, Interface_T,
         Implementation_T );

    Syntax_Error : exception;

end Pascal_Tokens;
