-- $Id: pascalhelp.adb,v 2.1 1997/08/23 19:56:09 nestor Rel $
-- $Locker:  $
-- $Log: pascalhelp.adb,v $
-- Revision 2.1  1997/08/23 19:56:09  nestor
-- Laurent Gasser's correction for MacOS extended Pascal
--
-- Revision 1.1  1997/08/23  08:20:27  nestor
-- Martin C. Carlisle's original version, standard Pascal
--
WITH Ada.Text_IO;

PACKAGE BODY PascalHelp IS

Memory : String(1..400);
MemLength : Integer := 0;

PROCEDURE Put(text : IN String) IS
BEGIN
  IF DirectIO THEN
    Ada.Text_IO.Put(text);
  ELSE
    Memory(MemLength+1..MemLength+text'LENGTH) := text;
    MemLength := MemLength + text'LENGTH;
  END IF;
END Put;

PROCEDURE Put(text : IN Character) IS
BEGIN
  IF DirectIO THEN
    Ada.Text_IO.Put(text);
  ELSE
    Memory(MemLength+1) := text;
    MemLength := MemLength + 1;
  END IF;
END Put;

PROCEDURE Put_Line(text : IN String) IS
BEGIN
  IF DirectIO THEN
    Ada.Text_IO.Put_Line(text);
  ELSE
    Memory(MemLength+1..MemLength+text'LENGTH) := text;
    Memory(MemLength+text'LENGTH+1) := Standard.ASCII.LF;
    MemLength := MemLength + text'LENGTH+1;
  END IF;
END Put_Line;

PROCEDURE New_Line IS
BEGIN
  IF DirectIO THEN
    Ada.Text_IO.New_Line;
  ELSE
    Memory(MemLength+1) := Standard.ASCII.LF;
    MemLength := MemLength + 1;
  END IF;
END New_Line;

PROCEDURE Empty IS
BEGIN
  MemLength := 0;
END;

PROCEDURE Flush IS
BEGIN
  FOR I IN 1..MemLength LOOP
    IF Memory(I) = Standard.ASCII.LF THEN
      Ada.Text_IO.New_Line;
    ELSE
      Ada.Text_IO.Put(Memory(I));
    END IF;
  END LOOP;
END;

PROCEDURE Comment (text : IN String) IS
BEGIN
  Put("--");
  FOR I IN text'RANGE LOOP
    IF text(I) = Standard.ASCII.LF THEN
      New_Line;
      Put("--");
    ELSE
      Put(text(I));
    END IF;
  END LOOP;
END Comment;

PROCEDURE PrintString (text : IN String) IS
BEGIN
  Put('"');
  Put(text(text'FIRST+1..text'LAST-1));
  Put('"');
END PrintString;


END PascalHelp;
